//+------------------------------------------------------------------+
//|                                                         DSYS.mq4 |
//|                                                            Vykuk |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Vykuk & David"
#property link      "http://www.metaquotes.net"
//#include <WinUser32.mqh>
#property indicator_chart_window
extern bool PovolitPrepocet = true;
extern double LevelStep=0.06;
extern double JPYdelitel=1;
extern string s1 = "Nastaven reverzn mny";
extern color TopColor = Red;
//extern double MaxPrice = 1.22320;
extern string s2 = "Nastaven hlavn mny";
extern color BottomColor = Lime;
//extern double MinPrice = 0.69350;
extern string s3 = "Vymazat TL pi odebrn indi?";
extern bool RemoveIndy = false;

double hh , ll;

 

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
////+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  if( RemoveIndy )
     ObjectsDeleteAll();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int    counted_bars=IndicatorCounted();
//----
    hh= Low[iHighest(NULL,PERIOD_W1,MODE_HIGH,1000,0)];
    ll=High[iLowest(NULL,PERIOD_W1,MODE_LOW,1000,0)];

   string normsymb = StringConcatenate( StringSubstr( Symbol(), 0, 3 ), "/", StringSubstr( Symbol(), 3, 3 ) );
   string revsymb = StringConcatenate( StringSubstr( Symbol(), 3, 3 ), "/", StringSubstr( Symbol(), 0, 3 ) );
   if( ObjectFind("TopLabel") != 0 )
   {
      ObjectCreate( "TopLabel", OBJ_LABEL, 0, 0, 0 );
      ObjectSetText( "TopLabel", revsymb, 10, "Arial", TopColor );
      ObjectSet( "TopLabel", OBJPROP_CORNER, 1 );
      ObjectSet( "TopLabel", OBJPROP_XDISTANCE, 10 );
      ObjectSet( "TopLabel", OBJPROP_YDISTANCE, 10 );
   }
   if( ObjectFind("BottomLabel") != 0 )
   {
      ObjectCreate( "BottomLabel", OBJ_LABEL, 0, 0, 0 );
      ObjectSetText( "BottomLabel", normsymb, 10, "Arial", BottomColor );
      ObjectSet( "BottomLabel", OBJPROP_CORNER, 3 );
      ObjectSet( "BottomLabel", OBJPROP_XDISTANCE, 10 );
      ObjectSet( "BottomLabel", OBJPROP_YDISTANCE, 10 );
   }
   
    if( ObjectFind("BottomLine") != 0 && PovolitPrepocet==True)
      {ObjectCreate( "BottomLine", OBJ_HLINE, 0, 0, ll );
       ObjectSet( "BottomLine", OBJPROP_COLOR, BottomColor );
       ObjectSet( "BottomLine",8, 2 );
       ObjectSet( "BottomLine",7, STYLE_DOT );
      }
      
      if( ObjectFind("TopLine") != 0 && PovolitPrepocet==True)
      {ObjectCreate( "TopLine", OBJ_HLINE, 0, 0, hh );
       ObjectSet( "TopLine", OBJPROP_COLOR, TopColor );
       ObjectSet( "TopLine",8, 2 );
       ObjectSet( "TopLine",7, 2 );
      }
       
   DrawFromBottom( normsymb );
   DrawFromTop( revsymb );

//----
   return(0);
  }

void DrawFromBottom( string Cur )
   {
      double drawPrice = ObjectGet("BottomLine",1)/JPYdelitel;
      int index = 1;
      drawPrice += LevelStep;
      while( drawPrice <  (ObjectGet("TopLine",1)/JPYdelitel) )
      {
         if( ObjectFind(Cur+index) != 0 || PovolitPrepocet==True )
         {  ObjectDelete(Cur+index); 
            ObjectCreate( Cur+index, OBJ_HLINE, 0, 0, drawPrice*JPYdelitel );
            ObjectSet( Cur+index, OBJPROP_COLOR, BottomColor );
         }
         index++;
         drawPrice += LevelStep;
      }
   }

void DrawFromTop( string Cur )
   {
      double drawPrice = 1/ (ObjectGet("TopLine",1)/JPYdelitel);
      int index = 1;
      drawPrice += LevelStep;
      while( drawPrice < (1/ (ObjectGet("BottomLine",1)/JPYdelitel) ) )
      {
         if( ObjectFind(Cur+index) != 0 || PovolitPrepocet==True )
         {  ObjectDelete(Cur+index);
            ObjectCreate( Cur+index, OBJ_HLINE, 0, 0, (1/drawPrice)*JPYdelitel );
            ObjectSet( Cur+index, OBJPROP_COLOR, TopColor );
         }
         index++;
         drawPrice += LevelStep;
      }
   }
//+------------------------------------------------------------------+